/*--------------------------------------------------------------------------
 *  Copyright 2008 utgenome.org
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *--------------------------------------------------------------------------*/
//--------------------------------------
// utgb-shell Project
//
// Clean.java
// Since: May 27, 2008
//
// $URL: http://svn.utgenome.org/utgb/trunk/utgb/utgb-shell/src/main/java/org/utgenome/shell/Clean.java $ 
// $Author: leo $
//--------------------------------------
package org.utgenome.shell;

/**
 * UTGB Shell Sub Command for cleaning target directory
 * 
 * @author leo
 * 
 */
public class Clean extends UTGBShellSubCommandBase {
	@Override
	public void execute(String[] args) throws UTGBShellException {
		Maven.runMaven("clean");
	}

	@Override
	public String name() {
		return "clean";
	}

	public String getDetailedDescription() {
		return loadUsage("help-clean.txt");
	}

	public String getOneLinerDescription() {
		return "clean the target folder";
	}

	public String getOptionList() {
		return "";
	}
}
